Package org.kie.internal.conf

## Class CompositeBaseConfiguration

- java.lang.Object
- - org.kie.internal.conf.CompositeConfiguration<org.kie.api.conf.KieBaseOption,​org.kie.api.conf.SingleValueKieBaseOption,​org.kie.api.conf.MultiValueKieBaseOption>
  - - org.kie.internal.conf.CompositeBaseConfiguration

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`, `org.kie.api.conf.KieBaseOptionsConfiguration`, `org.kie.api.conf.OptionsConfiguration<org.kie.api.conf.KieBaseOption,​org.kie.api.conf.SingleValueKieBaseOption,​org.kie.api.conf.MultiValueKieBaseOption>`, `org.kie.api.KieBaseConfiguration`, `org.kie.api.PropertiesConfiguration`

      public class CompositeBaseConfiguration
      extends CompositeConfiguration<org.kie.api.conf.KieBaseOption,​org.kie.api.conf.SingleValueKieBaseOption,​org.kie.api.conf.MultiValueKieBaseOption>
      implements org.kie.api.KieBaseConfiguration

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeBaseConfiguration​(ChainedProperties properties, java.lang.ClassLoader classloader, ConfigurationFactory<org.kie.api.conf.KieBaseOption,​org.kie.api.conf.SingleValueKieBaseOption,​org.kie.api.conf.MultiValueKieBaseOption>... factories)` |

  - ### Method Summary

    - ### Methods inherited from class org.kie.internal.conf.CompositeConfiguration

      `as, getClassLoader, getOption, getOption, getOptionSubKeys, getProperties, getProperty, getProperty, makeImmutable, readExternal, setClassLoader, setOption, setProperty, setProperty, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.OptionsConfiguration

      `as, getClassLoader, getOption, getOption, getOptionKeys, getOptionSubKeys, makeImmutable, setOption`

    - ### Methods inherited from interface org.kie.api.PropertiesConfiguration

      `getProperty, setProperty`

- - ### Constructor Detail

    - #### CompositeBaseConfiguration

          public CompositeBaseConfiguration​(ChainedProperties properties,
                                            java.lang.ClassLoader classloader,
                                            ConfigurationFactory<org.kie.api.conf.KieBaseOption,​org.kie.api.conf.SingleValueKieBaseOption,​org.kie.api.conf.MultiValueKieBaseOption>... factories)